<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description  página para confirmar la carga de una foto de las unidades de construcción 
@cu CU-CO-V-01

-->
<!--
IGAC proyecto SNC
@juan.agudelo
-->

<!--
@documented  pedro.garcia
-->
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" id="confirmacionCargarFotoForm">

    <p:spacer height="10" width="0" />
    <h:panelGrid columns="2">

        <h:outputText id="m1" value="#{proyectarConservacion.mensajeFotos}"
                      styleClass="outputTextStyle" />
        <p:spacer height="10" width="0" />
    </h:panelGrid>
    <p:separator />

    <p:spacer height="10" width="0" />
    <h:panelGrid columns="2">

        <p:commandButton id="corregirBoton" value="Corregir datos" update="@form, :msg2"		
                         disabled="#{proyectarConservacion.errorConfirmarDatosCargarFotografia}" 
                         icon="ui-icon-arrowreturnthick-1-w"
                         onclick="confirmationWV.hide();" />
        <p:commandButton id="aceptarBoton" value="Aceptar" 
                         update="@form, :msg2, :detalleUnidadConstrForm:panelConstrucciones"
                         disabled="#{!proyectarConservacion.errorConfirmarDatosCargarFotografia}" 
                         icon="ui-icon-check"
                         onclick="confirmationWV.hide(); gestionarFotografiasWV2.hide();"
                         action="#{proyectarConservacion.terminarCargaFoto}" />

    </h:panelGrid>

</h:form>
